package musr.client.plot2d;

/**
 * This class is used in zoom feature. It it is a package of four double values:
 * two x-axis and two y-axis (min and max). These are the borderlines of a plot.
 *
 * @author Ivan Tucakov
 */
public class PlotBorders implements java.io.Serializable {
  static final long serialVersionUID = 0L; // SUID
  // Private fields that hold the coordinate of a tic
  private String xMin = "";
  private String xMax = "";
  private String yMin = "";
  private String yMax = "";

  // the constructor methods
  public PlotBorders(String xMin, String xMax, String yMin, String yMax) {
    this.xMin = xMin;
    this.xMax = xMax;
    this.yMin = yMin;
    this.yMax = yMax;
  }

  /**
   * Method that accesses Instance Variables
   * Declare final not to get dynamic method lookup,
   * and could be intialised by the compiler
   */
  public final String getXMin() { return xMin; }
  public final String getXMax() { return xMax; }
  public final String getYMin() { return yMin; }
  public final String getYMax() { return yMax; }

  }
