//: MuSR_Run.java

 package musr.spect;

public class MuSR_Run implements java.io.Serializable {

  /* This initial attempt to "Javafy" Ted Whidden's mud.h and mud.c
     utilities (for accessing MuSR format MuSR data files) was begun
     on 13 Feb 1998 by Jess H. Brewer.
  */

  /* The following fields (member variables) define
     the data structure of this class.
     Note that the typing of runDescr and histogram fields
     is in terms of the MuSR_RunHeader and MuSR_Histogram classes.
     I am assuming this is legal in Java....
  */

  public MuSR_RunHeader runHdr; // Each Run has one RunHeader.
  public MuSR_Scaler sclr[];    // A Run may have several Scalers.
  public MuSR_Histogram hist[]; // A Run may have several Histograms.
  public MuSR_IndVar indv[];  // A Run may have several Independent Variables.

}
