package musr.client.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.rmi.Naming;
import java.rmi.RemoteException;

import musr.server.*;
import musr.server2.*;

public class GUI_RMIApplet extends JApplet {
  boolean isStandalone = false;

  String message = "View 1.1 will launch shortly in a separate window";
  GUI_RMIServer obj = null;
  GUI_RMIServer2 obj2 = null;

  /**Get a parameter value*/
  public String getParameter(String key, String def) {
    return isStandalone ? System.getProperty(key, def) :
      (getParameter(key) != null ? getParameter(key) : def);
  }

  /**Construct the applet*/
  public GUI_RMIApplet() {
  }
  /**Initialize the applet*/
  public void init() {
    try {
      jbInit();
    } catch (Exception e) {
                   System.out.println("GUI_RMI exception: " + e.getMessage());
                   e.printStackTrace();
      }
  }
  /**Component initialization*/
  private void jbInit() {

    // Main bulk for this applet
    GUI gui = new GUI(this);
    gui.setVisible(true);
  }


 public static void main(String args[]) {
   JApplet a = new GUI_RMIApplet();
   a.setVisible(true);
System.out.println("Applet launched.");
  a.setVisible(true);
 }


  public void paint(Graphics g) {
    g.drawString(message, 25, 50);
  }


  /**Get Applet information*/
  public String getAppletInfo() {
    return "Applet Information";
  }
  /**Get parameter info*/
  public String[][] getParameterInfo() {
    return null;
  }

  //static initializer for setting look & feel
  static {
    try {
      //UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
      //UIManager.setLookAndFeel(UIManager.getCrossPlatformLookAndFeelClassName());
    }
    catch(Exception e) {
    }
  }
}