package musr.client.gui;
import java.awt.*;
import java.awt.event.*;

/**
 * This dialog opens a browser with URL-s
 *
 * @author Ivan Tucakov, Nikola Tucakov
 */
public class URLDialog extends Dialog {
		private String URLname = null;

		TextField URLField;

		public final String getURLname() { return URLname; }

		// constructor
		public URLDialog(Frame parent, String title, boolean modal) {
				super(parent, title, modal);

				URLname = new String("dbfiles/temp.db");
				// Add the TextField with default value in it
				URLField = new TextField(URLname,80);
				this.add(new Label(this.getTitle()), "North");
				this.add(URLField, "Center");
				// Handle events on the TextField
				URLField.addActionListener(new ActionListener() {
						public void actionPerformed(ActionEvent e) {
								URLname = ((TextField)e.getSource()).getText();
								URLDialog.this.dispose();
						}
				});
				URLField.addTextListener(new TextListener() {
						public void textValueChanged(TextEvent e) {
								if (((TextField)e.getSource()).getText().equals("$"))
										URLDialog.this.dispose();
						}
				});
				URLDialog.this.pack();
		}

		public void showDialog() {
				this.pack();
				this.show();
		}
}
