package musr.client.plot2d;

/**
 * Every graph will contain an array of Tics. Every Tic holds the value where on graph it should be.
 * It is used mainly in Axis class
 *
 * @author Ivan Tucakov, Nikola Tucakov
 */
public class Tic implements java.io.Serializable {
  static final long serialVersionUID = 0L; // SUID
  // Private fields that hold the coordinate of a tic
  private double value;
  private String label;

  // the constructor methods
  public Tic(double value) { this.value = value; }
  public Tic() { this.value = 0.0; }

  /**
   * Method that accesses Instance Variables
   * Declare final not to get dynamic method lookup,
   * and could be intialised by the compiler
   */
  public final double getValue() { return value; }

  }
